################################################################
## This file is part of the GeoEspacoPEC source code
##
## Copyright (C) 2009 LabTEVE (http://www.de.ufpb.br/~labteve),
## Federal University of Paraiba.
## All rights reserved.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public
## License along with this program; if not, write to the Free
## Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
## Boston, MA 02110-1301, USA.
################################################################

import sys, time, math, os, random
from pandac.PandaModules import *
import direct.directbase.DirectStart
from direct.gui.OnscreenText import OnscreenText 
from direct.task.Task import Task 
from direct.showbase.DirectObject import DirectObject 
from direct.gui.DirectGui import *

from pandac.PandaModules import *
from direct.interval.IntervalGlobal import *
import createWindow
import world
import MaquinaDeEstados
import passatempos
import baseDeDados

#####################
##Maquina de Estados Finita
######################
class criaMaquinaDeEstados(object):
		
	def __init__(self):
		self.nivel = 1
		self.pontos = 0
		self.dicas = 0
		self.status = "Nivel1"
		
		self.compl = []
		self.o = baseDeDados.ObjetosColididos()
				
		Ob2 = self.o.retornaListaObjetosNivel2()
		Me2 = self.o.retornaListaMessNivel2()
		valor = random.randint(0,(len(Ob2)-1))
		self.compl.append(Me2[valor])
		self.objetoColididoN2 = Ob2[valor].strip()
		
		
		Ob3 = self.o.retornaListaObjetosNivel3()
		Me3 = self.o.retornaListaMessNivel3()
		valor2 = random.randint(0,(len(Ob3)-1))
		self.compl.append(Me3[valor2])
		self.ObjetosAnt = self.objetoColididoN2 #Talvez nao precise desta variavel
		self.objetoColididoN3 = Ob3[valor2].strip()
		
		Ob4 = self.o.retornaListaObjetosNivel4()
		Me4 = self.o.retornaListaMessNivel4()
		valor3 = random.randint(0,(len(Ob4)-1))
		self.compl.append(Me4[valor3])
		self.objetoColididoN4 = Ob4[valor3].strip()
		

	def passarNivel(self):
		self.nivel = self.nivel+1
		self.status = "Nivel",self.nivel
		
	def retornaNivel(self):return self.nivel
	
	def retornaPontuacao(self):return self.pontos

	def retornaStatus(self):return self.status

